/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.widgets;

import com.google.gwt.user.client.ui.DecoratedPopupPanel;
import com.google.gwt.user.client.ui.Image;

public class BLoadingDataDialog extends DecoratedPopupPanel {

	private static BLoadingDataDialog instance = null;

	public static void showIt() {
		if (instance == null) {
			instance = new BLoadingDataDialog();
		}
		instance.center();
	}

	public static void hideIt() {
		instance.hide();
	}

	private BLoadingDataDialog() {
		setGlassEnabled(true);
		setWidget(new Image("images/pleaseWait.gif"));
	}

}
